package com.sergiofrutos.kduino_v2;



import android.content.Context;
import android.view.Gravity;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.TextView;
import android.widget.Toast;
import android.app.AlertDialog;
import android.content.DialogInterface;


/**
 * Utilidades generales, mensajes y alertas
 */
public class General_utilities {
	

	public static void Mostrarmensajelargo(Context context,View view,String message) {

        CharSequence text = message;
        LayoutInflater inflater = (LayoutInflater) context.getSystemService( Context.LAYOUT_INFLATER_SERVICE );
        View layout = inflater.inflate(R.layout.toast,
                (ViewGroup) view.findViewById(R.id.custom_toast_layout));
        TextView text1 = (TextView) layout.findViewById(R.id.textToShow);
        text1.setText(text);

        Toast toast = new Toast(context);
        toast.setGravity(Gravity.CENTER_VERTICAL, 0, 0);
        toast.setDuration(Toast.LENGTH_LONG);
        toast.setView(layout);
        toast.show();

    }

    public static void Mostrarmensajecorto(Context context,View view,String message) {

        CharSequence text = message;
        LayoutInflater inflater = (LayoutInflater) context.getSystemService( Context.LAYOUT_INFLATER_SERVICE );
        View layout = inflater.inflate(R.layout.toast,
                (ViewGroup) view.findViewById(R.id.custom_toast_layout));
        TextView text1 = (TextView) layout.findViewById(R.id.textToShow);
        text1.setText(text);

        Toast toast = new Toast(context);
        toast.setGravity(Gravity.CENTER_VERTICAL, 0, 0);
        toast.setDuration(Toast.LENGTH_SHORT);
        toast.setView(layout);
        toast.show();

    }

    public static void dialogo(View view,String cadena) {


        //se prepara la alerta creando nueva instancia
        AlertDialog.Builder dialogBuilder = new AlertDialog.Builder(view.getContext());
        dialogBuilder.setMessage(cadena);
        dialogBuilder.setIcon(R.drawable.citclopslogo);
        dialogBuilder.setCancelable(true).setTitle("Look!");
        dialogBuilder.setPositiveButton("OK",new DialogInterface.OnClickListener() {
            public void onClick(DialogInterface dialog,int id) {

                dialog.cancel();
            }
        });
        //mostramos el dialogBuilder
        dialogBuilder.create().show();
    }




}

