package com.sergiofrutos.kduino_v2;


import android.content.Context;
import android.net.ConnectivityManager;
import android.net.NetworkInfo;

/**
 * Utilidades de internet
 */
public class Internet_utilities extends MainActivity {
	
	
	/**
	* Chekeamos si hay conexión a internet "No se utiiza pero se deja perparado para futuras implementaciones"
	*/
	public boolean isOnline() {
	    ConnectivityManager cm = 
	         (ConnectivityManager) getSystemService(Context.CONNECTIVITY_SERVICE);
	    NetworkInfo netInfo = cm.getActiveNetworkInfo();
	    
	    if (netInfo != null && netInfo.isConnected()) {
	        return true;
	    }
	    return false;
	}

}
