package com.sergiofrutos.kduino_v2;

import android.app.Activity;
import android.content.Intent;
import android.os.Bundle;
import android.view.View;
import android.widget.Button;
import java.util.ArrayList;
import android.widget.TextView;



/**
 * Mostramos los resultados del test sensor
 */
public class Test_results extends Activity {

    private Button btn_exit3;
    private Bundle extras;
    private int pos=0;
    private StringBuilder sb = new StringBuilder();
    private ArrayList<String> list = new ArrayList<String>();


    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.test_sensorsresult);

        //asignamos los objetos a los elementos del layout
        final TextView sensor_1= (TextView) findViewById(R.id.et_sensor1);
        final TextView sensor_2= (TextView) findViewById(R.id.et_sensor2);
        final TextView sensor_3= (TextView) findViewById(R.id.et_sensor3);
        final TextView sensor_4= (TextView) findViewById(R.id.et_sensor4);
        final TextView sensor_5= (TextView) findViewById(R.id.et_sensor5);
        final TextView sensor_6= (TextView) findViewById(R.id.et_sensor6);
        btn_exit3= (Button) findViewById(R.id.btn_exit3);


        //recuperamos la información recibida
        extras = getIntent().getExtras();
        String datareceived = extras.getString("datareceived");

        //obtenemos una subcadena con los valores a partir del sensor1
        int startindex = datareceived.indexOf("1 ");
        String s = datareceived.substring(startindex);



        //obtenemos los campos de interes y los metemos en una lista
        while(pos < s.length() && s.charAt(pos) != '+') {

            while(pos < s.length() && s.charAt(pos) != ' ' && s.charAt(pos) != '+' ) {
              sb.append(s.charAt(pos));
              pos++;
            }

            list.add(sb.toString());
            pos++;
            sb=new StringBuilder();

        }

        //inserto los valores que he introducido en la lista en los campos correspondientes
        sensor_1.setText(list.get(1));
        sensor_1.setEnabled(false);

        sensor_2.setText(list.get(3));
        sensor_2.setEnabled(false);

        sensor_3.setText(list.get(5));
        sensor_3.setEnabled(false);

        sensor_4.setText(list.get(7));
        sensor_4.setEnabled(false);

        sensor_5.setText(list.get(9));
        sensor_5.setEnabled(false);

        sensor_6.setText(list.get(11));
        sensor_6.setEnabled(false);

        //al pulsar el botón exit vuelvo al menu control
        btn_exit3.setOnClickListener(new View.OnClickListener() {
            public void onClick(View arg0) {

                Intent intent = new Intent();
                intent.setClass(Test_results.this, Menu_control.class);
                startActivity(intent);

            }
        });
    }


}
